Package org.eclipse.jdt.launching.environments

## Interface IExecutionEnvironmentsManager

    public interface IExecutionEnvironmentsManager

Manager for execution environments. The singleton manager is available via `JavaRuntime.getExecutionEnvironmentsManager()`.

Since:
  3.2
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`IExecutionEnvironment` `getEnvironment​(String id)` Returns the execution environment associated with the given identifier or `null` if none.
`IExecutionEnvironment[]` `getExecutionEnvironments()` Returns all registered execution environments sorted by their id.

### Method Detail

#### getExecutionEnvironments

    IExecutionEnvironment[] getExecutionEnvironments()

Returns all registered execution environments sorted by their id.

Returns:
  all registered execution environments sorted by their id
See Also:
  `IExecutionEnvironment.getId()`

#### getEnvironment

    IExecutionEnvironment getEnvironment​(String id)

Returns the execution environment associated with the given identifier or `null` if none.

Parameters:
  `id` - execution environment identifier
Returns:
  execution environment or `null`